This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 818991

Summary: Review Request: evolution-tray - Tray plugin for evolution
Product: [Fedora] Fedora Reporter: inactive <aTe5bahc>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: asl97, aTe5bahc, james.hogarth, msuchy, package-review, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-03 23:28:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description inactive 2012-05-04 10:22:08 EDT
Spec URL: http://jor.netne.net/files/evolution-tray.spec
SRPM URL: http://jor.netne.net/files/evolution-tray-0.0.8-1.fc16.src.rpm
Description: This plugin puts evolution in "tray" (notification area).
While in tray evolution in minimized and it's windows skip the pager.
You can restore evolution on any workspace.
Comment 1 Mario Blättermann 2012-05-05 18:37:52 EDT
This package needs libgconf-bridge, which is only available from Debian based distros. See the Koji scratch build [1] for more info. How do you've got it working on your machine without this?

Furthermore, intltool and libnotify-devel are missing from BuildRequires.


[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=4057144
Comment 2 inactive 2012-05-06 06:54:36 EDT
Thank you.
It compiled on my x86_64 f16 without any third party packages/libraries. gconf/gconf-client.h (which was the missing header in the build you posted) is provided by GConf2-devel.
Libnotify-devel is not required.

I updated the spec and source rpm.
Comment 3 Mario Blättermann 2012-05-06 12:12:30 EDT
(In reply to comment #2)
> Thank you.
> It compiled on my x86_64 f16 without any third party packages/libraries.
> gconf/gconf-client.h (which was the missing header in the build you posted) is
> provided by GConf2-devel.
OK.
> Libnotify-devel is not required.

The plugin's website says:

>Dependencies

>gtk+-2.0 (>= 2.14)
>libgconf-bridge
>libnotify

The following is from build.log (see Koji scratch build above):

>checking for LIBNOTIFY... no
>Package libnotify was not found in the pkg-config search path.
>Perhaps you should add the directory containing `libnotify.pc'
>to the PKG_CONFIG_PATH environment variable
>No package 'libnotify' found

Means, the configure script is looking for libnotify, and is unable to find it. Well, could be that this plugin works without that, but if both website and configure script say that it is needed, it should be true.
Another issue:

%{_libdir}/evolution/3.2/plugins/*

Once Evolution is bumped to a higher version number than 3.2, this declaration won't work anymore. Use instead:

%{_libdir}/evolution/*/plugins/*
Comment 4 inactive 2012-05-09 15:53:25 EDT
Ok, fixed it both
Comment 5 Mario Blättermann 2012-07-20 16:42:45 EDT
As far as I can see, you are not a member of the package maintainers group. If you need a sponsor, please add FE-NEEDSPONSOR to the "Blocks:" field above.
Comment 6 inactive 2012-07-21 09:34:18 EDT
I did that. What can I do next to get my Packages upstream?
Comment 7 Mario Blättermann 2012-07-21 12:56:59 EDT
(In reply to comment #6)
> I did that. What can I do next to get my Packages upstream?

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

That's all I could recommend for now. Unfortunately, I cannot sponsor you.
Comment 8 Ankur Sinha (FranciscoD) 2013-03-12 21:59:51 EDT
Hi Jonas,

I am unable to access the spec file that you've put up. Are you working on getting sponsored and then continuing this review? If you're not up to it, I'd like to package this up and make it available in Fedora. 

Thanks,
Ankur
Comment 9 Ankur Sinha (FranciscoD) 2013-03-12 22:51:54 EDT
I can't build this. It requires "gconf/gconf-client.h" which doesn't seem to be available in Fedora. Will check gconf-bridge etc. and see. Some digging in required. Not quite sure how you built it Jonas.
Comment 10 asl97 2014-02-19 12:53:48 EST
i think it build fine with version 1.0, http://gnome.eu.org/cgit/evolution-tray/
but it doesn't seem to hide it when minimize nor does it maximize when it was click.
in fact, it doesn't even seem to do anything other than place an icon in the tray...
Comment 11 Miroslav Suchý 2015-07-21 09:39:09 EDT
Ping! Are you still interrested in this review?
Comment 12 James Hogarth 2015-12-03 23:28:06 EST
Closing this bug as a dead review as the requester appears to have deactivated their bugzilla.